/***  stylesheets/modal  ***/

modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  -webkit-transition: opacity 500ms, z-index 1ms 500ms;
  -o-transition: opacity 500ms, z-index 1ms 500ms;
  transition: opacity 500ms, z-index 1ms 500ms;
  z-index: -1000;
}

modal [section=email] {
  border-bottom: 1px dashed #ddd;
  padding-bottom: 10px;
}

modal [section=email] input,
modal [section=email] textarea {
  width: 100%;
}

modal [section=email] textarea {
  background: #fcfcfc;
  min-height: 200px;
  padding: 10px;
  font-family: Lato;
  border: none;
}

modal [section=email] textarea:focus {
  outline: none;
}

modal button {
  background: #00C1DF;
  color: #fff;
  border: none;
  padding: 10px 30px;
  border-radius: 5px;
  font-size: 16px;
  font-weight: 700;
  cursor: pointer;
  margin-top: 10px;
}

modal[open] {
  -webkit-transition: opacity 500ms, z-index 1ms;
  -o-transition: opacity 500ms, z-index 1ms;
  transition: opacity 500ms, z-index 1ms;
  z-index: 1000;
  opacity: 1;
}

modal > div {
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  transform: translateX(-50%);
  left: 50%;
  position: absolute;
  top: 80px;
  border-radius: 5px;
  box-shadow: 0 0 20px;
  max-height: 80%;
  overflow: auto;
  width: 820px;
  background: rgba(255, 255, 255, 0.95);
}

modal .select {
  margin: none;
  position: relative;
}

modal .select select {
  padding-right: 25px;
}

modal .select:after {
  content: "\F0DC";
  font-family: FontAwesome;
  position: absolute;
  display: block;
  top: 0;
  right: 10px;
  color: #ddd;
}

modal #rings b {
  font-size: 16px;
  border: 1px solid #999;
  border-radius: 50%;
  width: 23px;
  height: 22px;
  display: inline-block;
  position: relative;
  left: 5px;
}

modal #rings b:hover {
  cursor: pointer;
  color: #00C1DF;
  border-color: #00C1DF;
}

modal #rings > div {
  border-bottom: 1px dashed #ddd;
  padding-bottom: 10px;
  margin-bottom: 10px;
  position: relative;
}

modal #rings > div:nth-of-type(even) {
  margin-left: 0;
}

modal #rings > div span {
  color: #444;
}

modal #rings strong {
  margin: 0 10px;
}

modal select {
  cursor: pointer;
}

modal input:not([type=image]),
modal select {
  -webkit-appearance: none;
  padding: 0 10px;
  font-size: 16px;
  margin: 0;
  background: none;
  border: none;
  border-bottom: 1px solid #e9e9e9;
  color: #444;
}

modal input:not([type=image]):focus,
modal select:focus {
  outline: none;
  border-bottom-color: #00C1DF;
}

modal h3 p {
  float: right;
  margin: 0;
  font-size: 14px;
  line-height: 38px;
}

modal > div {
  padding: 20px;
}

modal > div h5 {
  font-size: 16px;
  color: #444;
  margin: 10px 0;
  margin-top: 0;
  border-bottom: 1px dashed #ddd;
  padding-bottom: 10px;
}

modal > div div {
  float: left;
  width: 48%;
  color: #777;
  margin-bottom: 20px;
}

modal > div div:nth-of-type(even) {
  margin-left: 4%;
}

modal > div div p {
  margin: 0;
  position: relative;
}

modal > div div p span {
  color: #333;
}

modal > div div p + p {
  margin-top: 10px;
}

modal > div div p strong,
modal > div div p input:not([type=image]) {
  height: 30px;
}

modal > div div p strong {
  line-height: 30px;
  margin-right: 5px;
  display: inline-block;
  font-weight: 400;
}

modal > div div [property=name] {
  width: 311px;
}

modal > div div form {
  display: none;
  margin-left: 10px;
  position: relative;
  top: 5px;
}

modal section {
  clear: both;
  background: none;
  padding: 0;
}

modal section strong {
  width: 70px;
  text-align: left;
}

modal section input {
  width: 286px;
}

modal section:after {
  content: "";
  clear: both;
}

modal #rings div {
  width: auto;
  float: none;
}

modal table {
  width: 100%;
  border-spacing: 0;
}

modal table .select {
  margin-bottom: 0 !important;
}

modal table tr:nth-child(even) {
  background: #f6f6f6;
}

modal table td {
  padding: 5px;
  font-size: 16px;
  text-align: center;
}

modal table td:first-child {
  text-align: left;
}

modal table th {
  font-weight: 500;
  padding: 5px;
  border-bottom: 1px dashed #ddd;
}

modal table th:first-child {
  text-align: left;
}/***  stylesheets/app  ***/

* {
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

h1,
h2,
h3,
h4 {
  font-family: Ubuntu;
  font-weight: 400;
}

h2 {
  text-align: center;
  font-size: 30px;
  margin-top: 0;
}

body {
  background: #fff;
  background: url(../images/debut_light.png);
  margin: 0;
  color: #666;
  font-family: Lato;
  font-size: 16;
}

tabs div {
  color: #333;
  float: right;
}

.forgot-password a,
.login a {
  position: relative;
  display: block;
  top: 10px;
  margin: 10px 0;
}

a {
  color: #00C1DF;
  font-weight: 500;
  text-decoration: none;
}

.details table {
  width: 100%;
  border-spacing: 0;
}

.details table tr {
  cursor: pointer;
}

.details table tr:nth-child(even) {
  background: #f6f6f6;
}

.details table tr:hover {
  background: #fff;
}

.details table td {
  padding: 5px;
  font-size: 14px;
  text-align: center;
}

.details table td:first-child {
  text-align: left;
}

.details table th {
  font-weight: 500;
  padding: 5px;
  border-bottom: 1px dashed #ddd;
}

.details table th:first-child {
  text-align: left;
}

.forgot-password,
.details,
.login {
  margin: 0 auto;
  background: rgba(255, 255, 255, 0.7);
  padding: 30px;
  font-family: Ubuntu;
  border-radius: 4px;
  border: 1px solid #ddd;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.forgot-password input,
.details input,
.login input {
  color: #555;
  width: 300px;
  border: 1px solid #eee;
  padding: 10px;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  font-size: 18px;
  margin: 0;
}

[property="paid"]:before {
  content: "$";
}

tabs {
  display: block;
  width: 930px;
  margin: 0 auto;
  margin-top: 50px;
}

tabs tab {
  height: 30px;
  border-radius: 4px 4px 0 0;
  border: 1px solid #ddd;
  border-bottom: none;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  display: inline-block;
  background: rgba(255, 255, 255, 0.9);
  opacity: 0.5;
  padding: 7px 17px;
  font-size: 14px;
  font-weight: 400;
  cursor: pointer;
}

tabs tab:hover,
tabs tab[active] {
  opacity: 1;
  color: #00C1DF;
}

.not-paid {
  color: #9C0B00;
}

.not-paid:after {
  content: "\f071";
  font-family: FontAwesome;
  margin-left: 10px;
}

.not-paid + form {
  display: inline;
}

card {
  display: none;
  text-align: center;
  margin: 0 auto;
  margin-top: 100px;
  width: 362px;
  position: relative;
}

card.flipped > div:last-child {
  -webkit-transform: perspective(1000px);
  -ms-transform: perspective(1000px);
  -o-transform: perspective(1000px);
  transform: perspective(1000px);
  z-index: 1;
}

card.flipped > div:first-child {
  -webkit-transform: perspective(1000px) rotateY(180deg);
  -ms-transform: perspective(1000px) rotateY(180deg);
  -o-transform: perspective(1000px) rotateY(180deg);
  transform: perspective(1000px) rotateY(180deg);
  z-index: -1;
}

card > div {
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transition: -webkit-transform 500ms linear;
  -o-transition: -o-transform 500ms linear;
  transition: -ms-transform 500ms linear;
  transition: transform 500ms linear;
  -webkit-transform: perspective(1000px);
  -ms-transform: perspective(1000px);
  -o-transform: perspective(1000px);
  transform: perspective(1000px);
  -webkit-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  -o-backface-visibility: hidden;
  backface-visibility: hidden;
  width: 362px;
  z-index: 1;
  height: 572px;
}

card > div:last-child {
  -webkit-transform: perspective(1000px) rotateY(-180deg);
  -ms-transform: perspective(1000px) rotateY(-180deg);
  -o-transform: perspective(1000px) rotateY(-180deg);
  transform: perspective(1000px) rotateY(-180deg);
  z-index: -1;
}

.forgot-password b,
.login b {
  font-weight: 500;
}

.forgot-password input + input,
.login input + input {
  margin-top: 5px;
}

.forgot-password img,
.login img {
  width: 100px;
  margin-bottom: 40px;
}

.forgot-password p,
.login p {
  font-weight: 300;
  border-top: 1px solid #eee;
  border-bottom: 1px solid #eee;
  padding: 10px 0;
}

.forgot-password input[type=button],
.login input[type=button] {
  background: #579db7;
  color: #fff;
  border: none;
  border-radius: 3px;
  text-transform: uppercase;
  font-weight: 700;
  cursor: pointer;
  letter-spacing: 1px;
  margin-top: 10px;
}

.forgot-password p {
  padding: 25px 0;
}

*:focus {
  outline-color: rgba(87, 157, 183, 0.4);
}

@-webkit-keyframes load {
  to {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@-o-keyframes load {
  to {
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes load {
  to {
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.saving .loader {
  opacity: 1;
}

.loader {
  width: 20px;
  height: 20px;
  border: 1px solid #333;
  border-top: 1px solid transparent;
  border-bottom: 1px solid transparent;
  position: absolute;
  top: 4px;
  right: 4px;
  border-radius: 50%;
  -webkit-transition: 320ms;
  -o-transition: 320ms;
  transition: 320ms;
  opacity: 0;
  -webkit-animation: load 1s infinite linear;
  -o-animation: load 1s infinite linear;
  animation: load 1s infinite linear;
}

.container {
  display: none;
}

template {
  display: none;
}

.details {
  width: 960px;
  margin-bottom: 100px;
  padding: 20px;
}

.details:after {
  content: "";
  display: block;
  clear: both;
}

.details dl {
  margin: 0;
  float: left;
}

.details dl p {
  width: 400px;
}

.details dl + dl {
  margin-left: 25px;
  border-left: 1px solid #eee;
  padding-left: 24px;
}

.details dl dd,
.details dl dt {
  margin: 0;
  padding: 0;
  float: left;
  height: 48px;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  border-bottom: 1px solid #eee;
  padding-bottom: 10px;
  line-height: 38px;
  position: relative;
}

.details dl dd:nth-of-type(8),
.details dl dt:nth-of-type(8) {
  height: auto;
  border-bottom: none;
}

.details dl > dt {
  clear: both;
  width: 100px;
  padding-left: 10px;
  margin-bottom: 10px;
}

.details dl > dd {
  margin-bottom: 10px;
  width: 300px;
}

.details #size {
  display: none;
}

.details #orders dl {
  width: 350px;
}

.details #orders dl h4 {
  border-bottom: 1px dashed #ccc;
  margin: 10px 0;
  padding: 10px 0;
  padding-left: 10px;
}

.details #orders dl section {
  padding: 0;
  background: none;
  padding-left: 20px;
  background: #f2f2f2;
  border-radius: 3px;
  clear: both;
}

.details #orders dl section:after {
  content: "";
  display: block;
  clear: both;
}

.details #orders dl section h5 {
  margin: 10px 0;
  padding-bottom: 10px;
  padding-top: 10px;
  width: 310px;
  font-weight: 500;
  font-size: 13px;
  border-bottom: 1px solid #e6e6e6;
}

.details #orders dl section dd,
.details #orders dl section input {
  width: 180px;
}

.details #orders dl section dt {
  margin-bottom: 10px;
  clear: both;
}

.details #orders dl p {
  width: 350px;
}

.details #orders dl input {
  width: 220px;
}

.details #orders dl dt {
  width: 130px;
}

.details #orders dl dd {
  width: 220px;
}

.details #orders dl div dd,
.details #orders dl div dt {
  width: 100%;
  padding-left: 10px;
}

.details #orders dl div dd {
  border-bottom: 1px solid #eee;
  padding-bottom: 10px;
}

.details input,
.details select {
  font-size: 14px;
  -webkit-transition: background 320ms;
  -o-transition: background 320ms;
  transition: background 320ms;
}

.details input.saved,
.details select.saved {
  background: #D6FFDC;
}

.details select {
  appearance: none;
  border: none;
  background: #eee;
  padding: 4px;
  border-radius: 3px;
  width: 105px;
  font-size: 11px;
  margin: 0;
}

.details label {
  width: 40px;
  display: inline-block;
  margin-right: 10px;
}

.details select + label {
  margin-left: 10px;
}

h3 {
  font-size: 24px;
  color: #333;
  border-bottom: 1px dashed #ccc;
  padding-bottom: 10px;
  margin: 0;
  margin-bottom: 10px;
}

#size {
  font-family: Lato;
  font-size: 16px;
  font-weight: 400;
  line-height: 22px;
}

#size ol {
  padding-left: 20px;
}

#size ol li {
  margin-bottom: 10px;
}